pipeline {
    agent any
    parameters {
        choice(
            choices: ['nginx' , 'java' , 'tomcat'],
            description: '',
            name: 'Choose_action')
    }
    stages{
        stage ('Checkout SCM'){
            steps{
                checkout([$class: 'GitSCM', branches: [[name: '*/main']], extensions: [], userRemoteConfigs: [[url: 'https://gitlab.com/suraj.rawat1/nginxrole.git']]])               
            }
        }
        stage ('installing nginx') {
            when {
                expression { params.Choose_action == 'nginx' }
            }
            steps{
                sh 'ansible-playbook -i nginx/tests/inventory nginx/tests/test.yml'
            }
        }
        stage ('installing java') {
            when {
                expression { params.Choose_action == 'java' }
            }
            steps{
                sh 'ansible-playbook -i java/tests/inventory java/tests/test.yml'
            }
        }
        stage ('installing tomcat') {
            when {
                expression { params.Choose_action == 'tomcat' }
            }
            steps{
                sh 'ansible-playbook -i tomcat/tests/inventory tomcat/tests/test.yml'
            }
        }
    }
}